Summary: Allows restricted root access for specified users.
Name: sudo
Version: 1.6.1
Release: 1
Copyright: BSD
Group: Applications/System
Source: http://www.courtesan.com/sudo/dist/sudo-%{version}.tar.gz
URL: http://www.courtesan.com/sudo/
BuildRoot: /var/tmp/%{name}-root

%description
Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-static" \
./configure \
	--prefix=/usr \
	--sbindir=/usr/sbin \
	--with-logging=syslog \
	--with-logfac=authpriv \
	--with-pam \
	--with-editor=/bin/vi \
	--with-env-editor \
	--with-ignore-dot \
	--with-tty-tickets
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

make \
	prefix="$RPM_BUILD_ROOT/usr" \
	sbindir="$RPM_BUILD_ROOT/usr/sbin" \
	sysconfdir="$RPM_BUILD_ROOT/etc" \
	install
install -d -m 700 -o root -g root $RPM_BUILD_ROOT/var/run/sudo

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cat > $RPM_BUILD_ROOT/etc/pam.d/sudo << EOF
#%PAM-1.0
auth       required	/lib/security/pam_pwdb.so shadow nullok
account    required	/lib/security/pam_pwdb.so
password   required	/lib/security/pam_cracklib.so
password   required	/lib/security/pam_pwdb.so shadow use_authtok nullok
session    required	/lib/security/pam_pwdb.so
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING FAQ HISTORY README RUNSON TODO TROUBLESHOOTING *.pod
%config(noreplace) /etc/sudoers
%config(noreplace) /etc/pam.d/sudo
%dir /var/run/sudo
/usr/bin/sudo
/usr/sbin/visudo
/usr/man/man5/sudoers.5
/usr/man/man8/sudo.8
/usr/man/man8/visudo.8 

%changelog
* Tue Dec 14 1999 Preston Brown <pbrown@redhat.com>
- updated to 1.6.1 for Powertools 6.2
- config files are now noreplace.

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- updated to 1.5.9p2 for Powertools 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- sudo is configured with pam. There's no pam.d file. Oops.

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.59p1 for powertools 6.0

* Tue Oct 27 1998 Preston Brown <pbrown@redhat.com>
- fixed so it doesn't find /usr/bin/vi first, but instead /bin/vi (always installed)

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Mon May 18 1998 Michael Maher	<mike@redhat.com>
- updated SPEC file. 

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- updated to 1.5.4

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc, no problems

* Fri Apr 25 1997 Michael Fulbright <msf@redhat.com>
- Fixed for 4.2 PowerTools 
- Still need to be pamified
- Still need to move stmp file to /var/log

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- First version for PowerCD.

